---
lang: en
title: 'API docs: repository.numbertype.serialize'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.numbertype.serialize.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [NumberType](./repository.numbertype.md) &gt; [serialize](./repository.numbertype.serialize.md)

## NumberType.serialize() method

<b>Signature:</b>

```typescript
serialize(value: number | null | undefined): number | null | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  value | number \| null \| undefined |  |

<b>Returns:</b>

number \| null \| undefined


